Bug 26341 - Database update for bug 21443 is not idempotent and will destroy settings
Summary: Database update for bug 21443 is not idempotent and will destroy settings
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 21443
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-01 14:38 UTC by Kyle M Hall
Modified: 2020-10-20 01:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26341: Database update for bug 21443 is not idempotent and will destroy settings (3.71 KB, patch)
2020-09-01 14:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 26341: Database update for bug 21443 is not idempotent and will destroy settings (3.76 KB, patch)
2020-09-23 11:07 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-09-01 14:38:49 UTC
If the database update for bug 21443 is run, and the library changes any of the hourly or daily rental fees following the calendar, a second run of the database update will overwrite those changes.
Comment 1 Kyle M Hall 2020-09-01 14:43:56 UTC
Created attachment 109443 [details] [review]
Bug 26341: Database update for bug 21443 is not idempotent and will destroy settings

If the database update for bug 21443 is run, and the library changes any
of the hourly or daily rental fees following the calendar, a second run
of the database update will overwrite those changes.
Comment 2 Martin Renvoize 2020-09-23 11:07:15 UTC
Created attachment 110588 [details] [review]
Bug 26341: Database update for bug 21443 is not idempotent and will destroy settings

If the database update for bug 21443 is run, and the library changes any
of the hourly or daily rental fees following the calendar, a second run
of the database update will overwrite those changes.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2020-09-23 11:07:38 UTC
Good catch, going straight for PQA on this one.
Comment 4 Jonathan Druart 2020-09-23 20:16:02 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-16 16:06:04 UTC
backported to 20.05.x for 20.05.05
Comment 6 Aleisha Amohia 2020-10-20 01:40:29 UTC
missing dependencies, not backported to 19.11.x